"use strict";
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkProtocolVersion = exports.ProtocolVersions = void 0;
const server_services_client_1 = require("@fluidframework/server-services-client");
const semver = __importStar(require("semver"));
exports.ProtocolVersions = ["^0.4.0", "^0.3.0", "^0.2.0", "^0.1.0"];
function selectProtocolVersion(connectVersions) {
    for (const connectVersion of connectVersions) {
        for (const protocolVersion of exports.ProtocolVersions) {
            if (semver.intersects(protocolVersion, connectVersion)) {
                return protocolVersion;
            }
        }
    }
    return undefined;
}
function checkProtocolVersion(versions) {
    // Iterate over the version ranges provided by the client and select the best one that works
    const connectVersions = versions || ["^0.1.0"];
    const version = selectProtocolVersion(connectVersions);
    if (!version) {
        throw new server_services_client_1.NetworkError(400, `Unsupported client protocol. Server: ${exports.ProtocolVersions}. Client: ${connectVersions}`);
    }
    return [connectVersions, version];
}
exports.checkProtocolVersion = checkProtocolVersion;
//# sourceMappingURL=protocol.js.map