/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { ThrottlingError, type ILogger, type IThrottleAndUsageStorageManager, type IThrottler, type IUsageData } from "@fluidframework/server-services-core";
export declare const getSocketConnectThrottleId: (tenantId: string) => string;
export declare const getSubmitOpThrottleId: (clientId: string, tenantId: string) => string;
export declare const getSubmitSignalThrottleId: (clientId: string, tenantId: string) => string;
/**
 * Stores client connectivity time in a Redis list.
 */
export declare function storeClientConnectivityTime(clientId: string, documentId: string, tenantId: string, connectionTimestamp: number, throttleAndUsageStorageManager: IThrottleAndUsageStorageManager): Promise<void>;
/**
 * @returns ThrottlingError if throttled; undefined if not throttled or no throttler provided.
 */
export declare function checkThrottleAndUsage(throttler: IThrottler | undefined, throttleId: string, tenantId: string, logger?: ILogger, usageStorageId?: string, usageData?: IUsageData, incrementWeight?: number): ThrottlingError | undefined;
//# sourceMappingURL=throttleAndUsage.d.ts.map