/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import type { IDocumentMessage } from "@fluidframework/protocol-definitions";
/**
 * Whether to add a trace to a message based on sampling rate.
 */
export declare function sampleMessages(numberOfMessagesPerTrace: number): boolean;
/**
 * Add a trace to a message depending on sampling rate.
 */
export declare function addNexusMessageTrace(message: IDocumentMessage, numberOfMessagesPerTrace: number, clientId: string, tenantId: string, documentId: string): IDocumentMessage;
interface IStageTrace {
    /**
     * Name of the Stage.
     */
    stage: string;
    /**
     * Start time of the stage relative to the previous stage's start time.
     */
    ts: number;
}
export declare class StageTrace<T extends {
    toString(): string;
}> {
    private readonly traces;
    private lastStampedTraceTime;
    constructor(initialStage?: T);
    get trace(): IStageTrace[];
    stampStage(stage: T): void;
}
export {};
//# sourceMappingURL=trace.d.ts.map