/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { IContext, IQueuedMessage, IPartitionLambda } from "@fluidframework/server-services-core";
/**
 * @internal
 */
export declare class NoOpLambda implements IPartitionLambda {
    private readonly context;
    private readonly checkpointConfiguration?;
    private opsCount;
    private lastCheckpointOffset;
    private idleTimer;
    private maxTimer;
    private currentMessage;
    constructor(context: IContext, checkpointConfiguration?: NoOpLambdaCheckpointConfiguration | undefined);
    handler(message: IQueuedMessage): undefined;
    close(): void;
    private configurableCheckpoint;
    private resetMaxTimer;
    private resetIdleTimer;
}
export interface NoOpLambdaCheckpointConfiguration {
    enabled: boolean;
    maxMessages: number;
    maxTime: number;
    idleTime: number;
}
//# sourceMappingURL=noOpLambda.d.ts.map