/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { DocumentContext } from "@fluidframework/server-lambdas-driver";
import { IServiceConfiguration, LambdaCloseType, NackMessagesType } from "@fluidframework/server-services-core";
import { Lumber, LumberEventName } from "@fluidframework/server-services-telemetry";
/**
 * @internal
 */
export declare const createSessionMetric: <T extends string = LumberEventName>(tenantId: string, documentId: string, lumberEventName: T, serviceConfiguration: IServiceConfiguration, isEphemeralContainer?: boolean) => Lumber<T> | undefined;
/**
 * @internal
 */
export declare const logCommonSessionEndMetrics: (context: DocumentContext, closeType: LambdaCloseType, sessionMetric: Lumber | undefined, sequenceNumber: number, lastSummarySequenceNumber: number, activeNackMessageTypes: NackMessagesType[] | undefined) => void;
//# sourceMappingURL=telemetryHelper.d.ts.map